Package: org.apache.groovy.yaml.util

## [Java] Class YamlConverter

- org.apache.groovy.yaml.util.YamlConverter

-     public final class YamlConverter
      extends Object

  A converter for converting YAML to JSON, vice versa

  Since:
    3.0.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `convertJsonToYaml(Reader jsonReader)` Convert json to yaml
    `` | `public static String` | `convertYamlToJson(Reader yamlReader)` Convert yaml to json

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static String convertJsonToYaml(Reader jsonReader)

      Convert json to yaml

      Parameters:
        `jsonReader` - the reader of json
      Returns:
        the text of yaml

    - #### public static String convertYamlToJson(Reader yamlReader)

      Convert yaml to json

      Parameters:
        `yamlReader` - the reader of yaml
      Returns:
        the text of json